#!/usr/bin/env python
import coral

TM = coral.getTransactionManager()

TM.beginModifyCmd()
try:
    d1 = coral.PresentationElement()
finally:
    TM.endModifyCmd()

tr1 = TM.getCurrentTransaction()

TM.beginModifyCmd()
try:
    d2 = coral.AnyAbstractElement()
finally:
    TM.endModifyCmd()

tr2 = TM.getCurrentTransaction()

assert(tr1 != tr2)
